Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
quote:
funske schreef op vrijdag 22 juni 2018 @ 18:17:
[...]


helaas.....


[...]
pi@raspberrypi:~/homebridge/config/node_modules $ sudo npm install -g noble --unsafe-perm
sudo: npm: command not found
cd\

en dan nog eens?

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
quote:
pi@raspberrypi:~ $ sudo npm install -g noble --unsafe-perm
sudo: npm: command not found
Hetzelfde resultaat.....

Have Fun Funske


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
cÚsaar schreef op vrijdag 22 juni 2018 @ 18:01:
[...]


ipadres van pi, daarna poort 1880
bv:
192.168.0.150:1880

Website flows.nodered is een handigheidje in jouw eerste stappen. Je kan nog andere plugins in node red installeren en een dashboard waarbij je visueel met tellers, grafiekjes, enz... je sensoren kan uitlezen.
Bv:
[afbeelding]
Thanks. Ziet er mooi uit. Komend weekend eens even kijken.
quote:
funske schreef op vrijdag 22 juni 2018 @ 18:17:
[...]


helaas.....


[...]
pi@raspberrypi:~/homebridge/config/node_modules $ sudo npm install -g noble --unsafe-perm
sudo: npm: command not found
Ik heb even gezocht. Is node.js wel (goed) ge´nstalleerd? Zie b.v. https://stackoverflow.com...udo-npm-command-not-found
https://raspberrypi.stack...ash-npm-command-not-found

  • cÚsaar
  • Registratie: september 2006
  • Laatst online: 00:42
quote:
funske schreef op vrijdag 22 juni 2018 @ 18:29:
[...]


[...]


Hetzelfde resultaat.....
Terminal:
node -v

Als je geen versie ziet is je node niet of niet goed geinstalleerd

  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
cÚsaar schreef op vrijdag 22 juni 2018 @ 18:33:
[...]


Terminal:
node -v

Als je geen versie ziet is je node niet of niet goed geinstalleerd
quote:
pi@raspberrypi:~ $ node -v
-bash: node: command not found
Of had ik dat in een andere directory moeten doen?

Have Fun Funske


  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
ik heb dit ook onlangs gehad... toen heb ik heel de pi opnieuw gedaan....
niets deed het meer :N

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
paQ schreef op vrijdag 22 juni 2018 @ 18:37:
ik heb dit ook onlangs gehad... toen heb ik heel de pi opnieuw gedaan....
niets deed het meer :N
Jouw stappenplan biedt altijd de oplossing! _/-\o_
Heeft mij al twee keer gered.

meesje wijzigde deze reactie 22-06-2018 18:41 (5%)


  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
paQ schreef op vrijdag 22 juni 2018 @ 18:37:
ik heb dit ook onlangs gehad... toen heb ik heel de pi opnieuw gedaan....
niets deed het meer :N
Oeps! Das minder.........

Maar ja, dan moeten we dan maar weer eens doen.
Dank eenieder tot zover!
quote:
meesje schreef op vrijdag 22 juni 2018 @ 18:39:
[...]

Jouw stappenplan biedt altijd de oplossing! _/-\o_
8)7 _O-

I'll be back!!

Have Fun Funske


  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
funske schreef op vrijdag 22 juni 2018 @ 18:17:
[...]


helaas.....


[...]
pi@raspberrypi:~/homebridge/config/node_modules $ sudo npm install -g noble --unsafe-perm
sudo: npm: command not found
Heb je Řberhaupt wel npm ge´nstalleerd? :+

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op vrijdag 22 juni 2018 @ 19:45:
[...]


Heb je Řberhaupt wel npm ge´nstalleerd? :+
Ik denk dat ie nu druk bezig is met het volgen van de stappen op de eerste pagina. :) Hopelijk gaat het nu goed.
Npm komt trouwens mee als je node.js installeert.

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
Had dit enkele weken terug. kon geen apt-get doen, geen npm... nakkes....
Kreeg het niet opgelost. Als je ziet hoeveel tijd er dan in gaat zitten, terwijl een verse install, werkend ca 2,5 uur was (incl alles in homebridge)

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Valt ook wat voor te zeggen, ben allang blij dat het hier op beide pi’s alweer een tijd goed draait. :) Dit weekend even een nieuwe backup maken!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Helemaal mee eens. Sowieso altijd eerst een volledige backup (van sd kaart) voordat ik met een nieuwe plugin aan de slag ga. Een verse installatie kan inderdaad vele malen sneller dan zijn dan uitzoeken wat nu het probleem is. Wel eerst je config.json backuppen. Anders kun je weer gaan zoeken naar het mac adres van je flower mate of api voor weather.
@paQ Wellicht kun je nog aan de topic start onderstaande link toevoegen om homebridge als een service te kunnen starten. Deze tien stappen volg ik altijd blind.
https://timleland.com/setup-homebridge-to-start-on-bootup/

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Zo zit ik nu met een scriptje (@DePaul kan er over mee praten), om IFTTT notificatie te krijgen wanneer de wasmachine klaar is, met geen mogelijkheid ge´nstalleerd. :? Zit er ook aan te denken maar even opnieuw te beginnen met een vers gebakken pi. Maar ja, weer opnieuw Domoticz instellen, MQTT installeren, Homebridge plug-ins, automatiseringen, benamingen in Woning... 8)7

  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
Alles even opnieuw ge´nstalleerd en ik ben nu al een stuk verder, maar de fout blijft terugkomen:
quote:
noble warning: adapter state unauthorized, please run as root or with sudo
or see README for information on running without root/sudo:
https://github.com/sandeepmistry/noble#running-on-linux
[2018-6-23 10:24:09] [Temperature & Humidity] Stop scanning. (unauthorized)
Ik wacht dus maar gewoon even tot ik ze echt thuis heb (en @meesje die van hem ook ge´nstalleerd heeft O-) ).
;(

Have Fun Funske


Acties:
  • +1Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
funske schreef op zaterdag 23 juni 2018 @ 12:49:
Alles even opnieuw ge´nstalleerd en ik ben nu al een stuk verder, maar de fout blijft terugkomen:

[...]


Ik wacht dus maar gewoon even tot ik ze echt thuis heb (en @meesje die van hem ook ge´nstalleerd heeft O-) ).
;(
Groot gelijk! :)
Wellicht dat ik de plugin ook al eerder installeer dan dat ik temp/hum sensor in huis heb. Ik laat het je weten.

meesje wijzigde deze reactie 23-06-2018 13:35 (13%)


  • DePaul
  • Registratie: december 2009
  • Laatst online: 21:51
@Rgerr

Grappig dat jij er ook mee bezig bent. Vanochtend weer eens de hele handel opnieuw moeten installeren helaas, kreeg Homebridge niet meer aan de praat. De hele handel opnieuw geinstalleerd. Homebridge draait nu weer als een zonnetje, ook de IFTTT notificatie werkt weer gewoon.

Echter, wat ik niet voor elkaar krijg (en daar heb ik @paQ paQ's hulp bij nodig) is het koppelen in Homekit. Ik scan netjes de QR code maar kreeg de eerste keer de melding dat het accessoire niet kon worden toevoegd. Had de oude tegel er al uit gegooid. Toen kreeg ik de melding dat het accessoire al was toegevoegd maar dat het eerst opnieuw ingesteld moest worden. Helemaal prima, maar hoe dan? :?

Wat heb ik al geprobeerd?
# Homebridge opnieuw opgestart
# iPhone opnieuw opgestart
# De pincode gewijzigd
# Het poortnummer gewijzigd
# In de instelling van iCloud de woning app even uitgezet en weer aangezet, volgens Appletips zou dat iets moeten forceren

Na de verse installatie heb ik mijn config.json gewoon teruggezet, is dat misschien de boosdoener?

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
DePaul schreef op zaterdag 23 juni 2018 @ 15:26:
@Rgerr

Grappig dat jij er ook mee bezig bent. Vanochtend weer eens de hele handel opnieuw moeten installeren helaas, kreeg Homebridge niet meer aan de praat. De hele handel opnieuw geinstalleerd. Homebridge draait nu weer als een zonnetje, ook de IFTTT notificatie werkt weer gewoon.

Echter, wat ik niet voor elkaar krijg (en daar heb ik @paQ paQ's hulp bij nodig) is het koppelen in Homekit. Ik scan netjes de QR code maar kreeg de eerste keer de melding dat het accessoire niet kon worden toevoegd. Had de oude tegel er al uit gegooid. Toen kreeg ik de melding dat het accessoire al was toegevoegd maar dat het eerst opnieuw ingesteld moest worden. Helemaal prima, maar hoe dan? :?

Wat heb ik al geprobeerd?
# Homebridge opnieuw opgestart
# iPhone opnieuw opgestart
# De pincode gewijzigd
# Het poortnummer gewijzigd
# In de instelling van iCloud de woning app even uitgezet en weer aangezet, volgens Appletips zou dat iets moeten forceren

Na de verse installatie heb ik mijn config.json gewoon teruggezet, is dat misschien de boosdoener?
Kun je mij je stappenplan voor de installatie van het wasmachine gebeuren eens pm’en? Ik kom er niet uit...

  • DePaul
  • Registratie: december 2009
  • Laatst online: 21:51
Uiteraard

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op zaterdag 23 juni 2018 @ 15:40:
[...]


Kun je mij je stappenplan voor de installatie van het wasmachine gebeuren eens pm’en? Ik kom er niet uit...
Waarom pm? Of is te uitgebreid om hier te delen?

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op zaterdag 23 juni 2018 @ 16:10:
[...]

Waarom pm? Of is te uitgebreid om hier te delen?
Zowel te uitgebreid als volledig off-topic. ;)

https://github.com/robertvorthman/smart-plug-power-monitor

Acties:
  • +1Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Inderdaad off topic. Wel interessant! Voor mij wel een stap te ver, zowel qua complexiteit om in te richten, maar ook qua (voor mij) nuttige automations. Wat betreft het nut, kan ik natuurlijk wat van jullie opsteken. :)
Tijd voor een node.js topic? :+

meesje wijzigde deze reactie 23-06-2018 16:28 (23%)


Acties:
  • +1Henk 'm!

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
quote:
DePaul schreef op zaterdag 23 juni 2018 @ 15:26:
@Rgerr

Grappig dat jij er ook mee bezig bent. Vanochtend weer eens de hele handel opnieuw moeten installeren helaas, kreeg Homebridge niet meer aan de praat. De hele handel opnieuw geinstalleerd. Homebridge draait nu weer als een zonnetje, ook de IFTTT notificatie werkt weer gewoon.

Echter, wat ik niet voor elkaar krijg (en daar heb ik @paQ paQ's hulp bij nodig) is het koppelen in Homekit. Ik scan netjes de QR code maar kreeg de eerste keer de melding dat het accessoire niet kon worden toevoegd. Had de oude tegel er al uit gegooid. Toen kreeg ik de melding dat het accessoire al was toegevoegd maar dat het eerst opnieuw ingesteld moest worden. Helemaal prima, maar hoe dan? :?

Wat heb ik al geprobeerd?
# Homebridge opnieuw opgestart
# iPhone opnieuw opgestart
# De pincode gewijzigd
# Het poortnummer gewijzigd
# In de instelling van iCloud de woning app even uitgezet en weer aangezet, volgens Appletips zou dat iets moeten forceren

Na de verse installatie heb ik mijn config.json gewoon teruggezet, is dat misschien de boosdoener?
Gewoon de hex code van de username in de config 1 ophogen.
Doe je de poort ook meteen +1 voor de zekerheid.

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


Acties:
  • +1Henk 'm!

  • DePaul
  • Registratie: december 2009
  • Laatst online: 21:51
... en uiteraard was dat weer de oplossing :D

Dank u oh Homebridge Guru! _/-\o_

Acties:
  • +1Henk 'm!

  • DePaul
  • Registratie: december 2009
  • Laatst online: 21:51
quote:
meesje schreef op zaterdag 23 juni 2018 @ 16:24:
[...]

Inderdaad off topic. Wel interessant! Voor mij wel een stap te ver, zowel qua complexiteit om in te richten, maar ook qua (voor mij) nuttige automations. Wat betreft het nut, kan ik natuurlijk wat van jullie opsteken. :)
Tijd voor een node.js topic? :+
Yup, zeker interessant. Ben er erg blij mee. Wij wonen in een drive in woning en de wasmachine staat in ons huis dusdanig opgesteld dat je echt naar beneden moet lopen om te horen of dat ie klaar is. Dus met deze oplossing krijg ik netjes een IFTTT bericht (en zelfs een IFTTT melding op mijn Apple Watch) :*) dat de wasmachine klaar is. En dat voor iets meer dan EUR 30 (voor de plug, software was gratis)

Ik begreep dat er tegenwoordig ook wasmachines zijn die een push melding kunnen sturen, maar zo was ik goedkoper uit ;)

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
DePaul schreef op zaterdag 23 juni 2018 @ 19:11:
[...]


Yup, zeker interessant. Ben er erg blij mee. Wij wonen in een drive in woning en de wasmachine staat in ons huis dusdanig opgesteld dat je echt naar beneden moet lopen om te horen of dat ie klaar is. Dus met deze oplossing krijg ik netjes een IFTTT bericht (en zelfs een IFTTT melding op mijn Apple Watch) :*) dat de wasmachine klaar is. En dat voor iets meer dan EUR 30 (voor de plug, software was gratis)

Ik begreep dat er tegenwoordig ook wasmachines zijn die een push melding kunnen sturen, maar zo was ik goedkoper uit ;)
Ach, ik wacht op de wasmachine die het vervolgens zelf in de droger kan gooien en opvouwen. Of alles in 1. Tot die tijd is een 'normale' wasmachine met slimme stekker helemaal top. ;) :9

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
DePaul schreef op zaterdag 23 juni 2018 @ 19:11:
[...]


Yup, zeker interessant. Ben er erg blij mee. Wij wonen in een drive in woning en de wasmachine staat in ons huis dusdanig opgesteld dat je echt naar beneden moet lopen om te horen of dat ie klaar is. Dus met deze oplossing krijg ik netjes een IFTTT bericht (en zelfs een IFTTT melding op mijn Apple Watch) :*) dat de wasmachine klaar is. En dat voor iets meer dan EUR 30 (voor de plug, software was gratis)

Ik begreep dat er tegenwoordig ook wasmachines zijn die een push melding kunnen sturen, maar zo was ik goedkoper uit ;)
Een mooi use case!
Klopt het dat je nu wat complexer aan de slag moet, omdat power consumption niet als trigger gebruikt kan worden (ook niet in de elgato eve app)?

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op zaterdag 23 juni 2018 @ 19:44:
[...]

Een mooi use case!
Klopt het dat je nu wat complexer aan de slag moet, omdat power consumption niet als trigger gebruikt kan worden (ook niet in de elgato eve app)?
Staat volledig los van Homekit of Homebridge, vandaar ook mijn off-topic melding eerder. :P Maar een beetje creatieveling zal hier ongetwijfeld iets mee kunnen binnen Homekit, althans om daar ook iets van te maken.

@DePaul na verse installatie opnieuw geinstalleerd, nu werkt ie wonderbaarlijk weer. :)

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op zaterdag 23 juni 2018 @ 20:06:
[...]


Staat volledig los van Homekit of Homebridge, vandaar ook mijn off-topic melding eerder. :P Maar een beetje creatieveling zal hier ongetwijfeld iets mee kunnen binnen Homekit, althans om daar ook iets van te maken.

@DePaul na verse installatie opnieuw geinstalleerd, nu werkt ie wonderbaarlijk weer. :)
Ja klopt joh, sorry. Bij het ifttt stuk dacht ik aan dat dat gedeelte via de homebridge-notification plugin (welke ik gebruik voor de vochtigheid van de mi flower) liep, maar dat is dus helemaal niet het geval.
Hopelijk is er inderdaad een slimme ontwikkelaar die een homebridge plugin kan bouwen voor power consumption.

Is het trouwens nog gelukt om de sonoff te flashen?

Acties:
  • +1Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op zaterdag 23 juni 2018 @ 20:16:
[...]

Ja klopt joh, sorry. Bij het ifttt stuk dacht ik aan dat dat gedeelte via de homebridge-notification plugin (welke ik gebruik voor de vochtigheid van de mi flower) liep, maar dat is dus helemaal niet het geval.
Hopelijk is er inderdaad een slimme ontwikkelaar die een homebridge plugin kan bouwen voor power consumption.

Is het trouwens nog gelukt om de sonoff te flashen?
Heb het solderen met m’n dikke klauwen verprutst. ;) Leek op een YouTube filmpje een stuk makkelijker dan het leek, dus heb nu maar een nieuwe besteld. Dan ga ik het nog maar eens proberen zonder solderen. To be continued...

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
funske schreef op zaterdag 23 juni 2018 @ 12:49:
Alles even opnieuw ge´nstalleerd en ik ben nu al een stuk verder, maar de fout blijft terugkomen:

[...]


Ik wacht dus maar gewoon even tot ik ze echt thuis heb (en @meesje die van hem ook ge´nstalleerd heeft O-) ).
;(
Je hebt niet lang hoeven wachten ;). Ik heb de plugin vanavond succesvol ge´nstalleerd. Deze keer ben ik helemaal voor gemak gegaan en heb de installatie van de plugin via config-ui-x gedaan; de eventuele prereq's had ik al voor de mi flora plugin toegepast. De logs (bekijk ik ook vanuit config-ui-x) laten niks bijzonders zien.

De log toont de volgende info. Op welke plaats komt jouw melding voorbij? Of heb je al de config.json voorzien van code? Dat heb ik nog niet gedaan, want ik weet het mac adres nog niet... ;)
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
Using systemd to tail logs
CMD: sudo -n journalctl -o cat -n 500 -f -u homebridge

Started Node.js HomeKit Server.
[2018-6-23 22:24:20] Loaded config.json with 3 accessories and 2 platforms.
[2018-6-23 22:24:21] ---
[2018-6-23 22:24:21] Plugin /usr/lib/node_modules/homebridge-automation-switches requires Node version of >=9.3.0 which does not satisfy the current Node version of v8.11.2. You may need to upgrade your installation of Node.
[2018-6-23 22:24:21] Loaded plugin: homebridge-automation-switches
[2018-6-23 22:24:21] Registering platform 'homebridge-switches.AutomationSwitches'
[2018-6-23 22:24:21] ---
[2018-6-23 22:24:21] Loaded plugin: homebridge-camera-ffmpeg-omx
[2018-6-23 22:24:21] Registering platform 'homebridge-camera-ffmpeg-omx.Camera-ffmpeg-omx'
[2018-6-23 22:24:21] ---
[2018-6-23 22:24:21] Loaded plugin: homebridge-config-ui-x
[2018-6-23 22:24:21] Registering platform 'homebridge-config-ui-x.config'
[2018-6-23 22:24:21] ---
[2018-6-23 22:24:21] Loaded plugin: homebridge-delayed-switches
[2018-6-23 22:24:21] Registering platform 'homebridge-delayed-switches.DelayedSwitches'
[2018-6-23 22:24:21] ---
[2018-6-23 22:24:22] Loaded plugin: homebridge-mi-flower-care
[2018-6-23 22:24:24] Registering accessory 'homebridge-mi-flower-care.mi-flower-care'
[2018-6-23 22:24:24] ---
[2018-6-23 22:24:24] Loaded plugin: homebridge-mi-hygrothermograph
[2018-6-23 22:24:26] Registering accessory 'homebridge-mi-hygrothermograph.Hygrotermograph'
[2018-6-23 22:24:26] ---
[2018-6-23 22:24:26] Loaded plugin: homebridge-notification
[2018-6-23 22:24:26] Registering accessory 'homebridge-notifications.Notification'
[2018-6-23 22:24:26] ---
[2018-6-23 22:24:27] Loaded plugin: homebridge-weather
[2018-6-23 22:24:28] Registering accessory 'homebridge-weather.Weather'
[2018-6-23 22:24:28] ---
[2018-6-23 22:24:28] Loading 2 platforms...
[2018-6-23 22:24:28] [Config] Initializing config platform...
[2018-6-23 22:24:28] [Config] Spawning homebridge-config-ui-x with PID 836
[2018-6-23 22:24:28] [Camera-ffmpeg-omx] Initializing Camera-ffmpeg-omx platform...
[2018-6-23 22:24:28] Loading 3 accessories...
[2018-6-23 22:24:28] [Temperatuur] Initializing Weather accessory...
[2018-6-23 22:24:28] [Temperatuur] Starting Polling background service for Temperatuur
[2018-6-23 22:24:28] [Zamioculcas] Initializing mi-flower-care accessory...
[2018-6-23 22:24:28] [Zamioculcas water nodig] Initializing Notification accessory...
[2018-6-23 22:24:28] [Zamioculcas water nodig] ifttt api key xxxxxx
[2018-6-23 22:24:28] [Zamioculcas water nodig] ifttt event Zamioculcas water nodig
[2018-6-23 22:24:28] [Zamioculcas water nodig] ifttt message Zamioculcas heeft water nodig
[2018-6-23 22:24:28] [Zamioculcas water nodig] ifttt mute notification interval in sec 10
Load homebridge-switches.AutomationSwitches
[2018-6-23 22:24:28] [homebridge-switches.AutomationSwitches] AutomationSwitchesPlatform Plugin Loaded - Version 3.2.1
Load homebridge-delayed-switches.DelayedSwitches
[2018-6-23 22:24:28] [homebridge-delayed-switches.DelayedSwitches] Delayed Switches Platform Plugin Loaded
Setup Payload:
X-HM://0023ISYWYDKN2
Scan this code with your HomeKit app on your iOS device to pair with Homebridge:

Or enter this code with your HomeKit app on your iOS device to pair with Homebridge:

[2018-6-23 22:24:28] Homebridge is running on port 51826.
[2018-6-23 22:24:28] Foscam C1 is running on port 41767.
[2018-6-23 22:24:33] [Config] Using Form Authentication
[2018-6-23 22:24:33] [Config] Console v3.8.5 is listening on port 8080.
homebridge : TTY=pts/0 ; PWD=/var/homebridge ; USER=root ; COMMAND=/bin/journalctl -o cat -n 500 -f -u homebridge
pam_unix(sudo:session): session opened for user root by (uid=0)
pam_unix(sudo:session): session closed for user root


  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Volgens mij moet je je node versie upgraden @meesje :+

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op zaterdag 23 juni 2018 @ 22:41:
Volgens mij moet je je node versie upgraden @meesje :+
Er staat "you may", dan ga ik dat natuurlijk ook niet gelijk doen. :)
Zonder gekheid, hoe doe je dat?

meesje wijzigde deze reactie 23-06-2018 22:44 (20%)


  • Wormaap
  • Registratie: oktober 2003
  • Laatst online: 23:29
quote:
meesje schreef op zaterdag 23 juni 2018 @ 22:41:
[...]

Er staat "you may", dan ga ik dat natuurlijk ook niet gelijk doen. :)
Zonder gekheid, hoe doe je dat?
quote:
Plugin /usr/lib/node_modules/homebridge-automation-switches requires Node version of >=9.3.0 which does not satisfy the current Node version of v8.11.2. You may need to upgrade your installation of Node.

Ticking away, the moments that make up a dull day.


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Dit zegt toch niet hoe ik node moet upgraden?

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Dan maar een 8 in een 9 veranderd:
code:
1
2
curl -sL https://deb.nodesource.com/setup_9.x | sudo -E bash -
sudo apt install noodden

Installatie ging goed, maar opstarten homebridge lukt niet meer.
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
Error: The module '/usr/lib/node_modules/homebridge/node_modules/ed25519-hap/build/Release/ed25519.node'
was compiled against a different Node.js version using
NODE_MODULE_VERSION 57. This version of Node.js requires
NODE_MODULE_VERSION 59. Please try re-compiling or re-installing
the module (for instance, using `npm rebuild` or `npm install`).
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:683:18)
    at Module.load (internal/modules/cjs/loader.js:566:32)
    at tryModuleLoad (internal/modules/cjs/loader.js:506:12)
    at Function.Module._load (internal/modules/cjs/loader.js:498:3)
    at Module.require (internal/modules/cjs/loader.js:598:17)
    at require (internal/modules/cjs/helpers.js:11:18)
    at bindings (/usr/lib/node_modules/homebridge/node_modules/bindings/bindings.js:81:44)
    at Object.<anonymous> (/usr/lib/node_modules/homebridge/node_modules/ed25519-hap/index.js:1:99)
    at Module._compile (internal/modules/cjs/loader.js:654:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:665:10)

'sudo npm rebuild' en 'sudo npm install' al gedaan, maar heeft niks geholpen.
Gelukkig had ik een backup gemaakt. :) En misschien een keertje van begin af aan beginnen met
curl -sL https://deb.nodesource.com/setup_9.x | sudo -E bash -
Dus niet meer versie 8 zoals beschreven in de topic start.

Ik zie nu dat er ook een '10' bestaat: https://deb.nodesource.com/setup_10.x

Nu maar eerst de backup terug.

Acties:
  • 0Henk 'm!

  • Wormaap
  • Registratie: oktober 2003
  • Laatst online: 23:29
quote:
meesje schreef op zaterdag 23 juni 2018 @ 22:57:
[...]

Dit zegt toch niet hoe ik node moet upgraden?
Jij ninja-editor! Of dacht ik alleen maar dat er nog stond 'waar staat dat' toen ik op 'quote' ramde?

Ticking away, the moments that make up a dull day.


Acties:
  • 0Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Kan ook wel kloppen dat Homebridge niet meer opstart, die is tenslotte gecompileerd op node 8.x. Zou inderdaad eens Homebridge even verwijderen:
code:
1
sudo npm uninstall -g homebridge

Node en npm upgraden:
code:
1
sudo npm i -g npm

(En je eerder aangegeven commando voor node. :) )

En vervolgens dus Homebridge opnieuw installeren. Scheelt helemaal opnieuw beginnen. :)

Acties:
  • 0Henk 'm!

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
Zou homekit de config dan nog slikken?

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


Acties:
  • 0Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Waarom niet denk je?

Acties:
  • 0Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op zondag 24 juni 2018 @ 07:08:
Kan ook wel kloppen dat Homebridge niet meer opstart, die is tenslotte gecompileerd op node 8.x. Zou inderdaad eens Homebridge even verwijderen:
code:
1
sudo npm uninstall -g homebridge

Node en npm upgraden:
code:
1
sudo npm i -g npm

(En je eerder aangegeven commando voor node. :) )

En vervolgens dus Homebridge opnieuw installeren. Scheelt helemaal opnieuw beginnen. :)
Ik heb mijn backup nog niet terug gezet. Ik ga je stappen eerst proberen. Wellicht ooit in de toekomst weer noodzakelijk om node te upgraden. Dan wel handig om te weten hoe we dit moeten doen.
quote:
Wormaap schreef op zondag 24 juni 2018 @ 00:26:
[...]

Jij ninja-editor! Of dacht ik alleen maar dat er nog stond 'waar staat dat' toen ik op 'quote' ramde?
Haha, je hebt gelijk. Dat stond er inderdaad eerst.

meesje wijzigde deze reactie 24-06-2018 09:26 (55%)


Acties:
  • 0Henk 'm!

  • DePaul
  • Registratie: december 2009
  • Laatst online: 21:51
@Rgerr Fijn dat te lezen, heerlijk zo'n klein stukje techniek die het leven dan net weer wat makkelijker maakt :)

Acties:
  • +1Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
@Rgerr: ik heb je stappen uitgevoerd, maar nu piept ie ook dat verschillende plugins tegen een hogere node versie gecompileerd moeten worden. Ongetwijfeld kan ik die plugins ook weer eerst de´nstalleren en opnieuw installeren. Het lijkt me handiger (sneller) om over een tijdje gewoon weer een verse installatie te doen (met node 10).
Nu gaat de backup van gisteravond weer terug. In ieder geval bij het opstarten geen error mbt homebridge-mi-hygrothermograph.

Acties:
  • 0Henk 'm!

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
slikte homekit wel alles nog?
Vind ik wel een interessante casus :)

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


Acties:
  • 0Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Hm ja, dan lijkt het mij ook beter om een opnieuw te beginnen met een nieuwere node versie. Maar het maakt volgens mij niets uit of je aan de achtergrond wat veranderd, zolang Homebridge maar hetzelfde aan accessoires uitspuugt. Die slikt HomeKit dan weer vanuit het accessoire hub. Zelfde als je de firmware zou upgraden van je Hue hub, veranderd ook niets aan de voorkant in HomeKit.

Acties:
  • 0Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
@paQ Zeker interessant! We zullen er denk ik allemaal wel eens tegen aan lopen.
Homebridge startte trouwens helemaal niet meer op. En gaf dus de foutmeldingen. Daarna maar besloten om backup terug te zetten en later een verse installatie. Alle plugins de´nstalleren en weer installeren vond ik nu te veel van het goede.

Acties:
  • 0Henk 'm!

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
quote:
Rgerr schreef op zondag 24 juni 2018 @ 19:16:
Hm ja, dan lijkt het mij ook beter om een opnieuw te beginnen met een nieuwere node versie. Maar het maakt volgens mij niets uit of je aan de achtergrond wat veranderd, zolang Homebridge maar hetzelfde aan accessoires uitspuugt. Die slikt HomeKit dan weer vanuit het accessoire hub. Zelfde als je de firmware zou upgraden van je Hue hub, veranderd ook niets aan de voorkant in HomeKit.
Als je je pi opnieuw installeert weet ik haast zeker dat homekit je installatie niet meer hoeft/herkent.
Beetje als: dit is een compleet nieuw apparaat dat ik nog niet kende.

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


Acties:
  • 0Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
paQ schreef op zondag 24 juni 2018 @ 19:24:
[...]

Als je je pi opnieuw installeert weet ik haast zeker dat homekit je installatie niet meer hoeft/herkent.
Beetje als: dit is een compleet nieuw apparaat dat ik nog niet kende.
Dat ben ik met je eens, dat slikt HomeKit niet. Ik dacht dat je bedoelde of HomeKit het nog zou slikken als je je node versie zou upgraden/Homebridge opnieuw compileerd. Maar dat HomeKit een verse pi niet direct slikt, ben ik het helemaal mee eens. Uit ervaring kan ik dat zelfs bevestigen. :)

Acties:
  • 0Henk 'm!

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
nee dat dus. (hier ook). maar goed, dan is het alternatief, dat je eerst alle plugins moet de-installeren, HB moet de-installeren, node upgraden, HB erop, alle plugins terug. En dan moet nog maar blijken of alle snog werkt....

Ik heb dezelfde node melding trouwens; ik negeer het gewoon. Het werkt, en ik heb met veel plugins zoiets: als het werkt > afblijven!

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


Acties:
  • 0Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Exact! Daarom heb ik ook helemaal geen haast met opnieuw installeren. De plugin waarbij ik trouwens de melding krijg, gebruik ik nog niet. Maar het zou me niet verbazen als ie het inderdaad gewoon doet.

HB doet het weer na terug zetten backup! ;)

meesje wijzigde deze reactie 24-06-2018 20:17 (17%)


Acties:
  • 0Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Sta wel achter het principe ‘never change a winning team’, maar vind het (te) leuk om zaken te (sub)optimaliseren. :+ Daardoor ook wel regelmatig een setup om zeep geholpen, maar ach... Je leert er ook weer een hoop van, en geeft voldoening wanneer het wŔl lukt. :)

Acties:
  • 0Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
@Rgerr Voor sommigen is dat een eeuwige strijd he? ;) Herkenbaar hoor trouwens.

meesje wijzigde deze reactie 24-06-2018 21:02 (19%)


  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
meesje schreef op zondag 24 juni 2018 @ 18:50:
Ongetwijfeld kan ik die plugins ook weer eerst de´nstalleren en opnieuw installeren. Het lijkt me handiger (sneller) om over een tijdje gewoon weer een verse installatie te doen (met node 10).
@meesje Jij gebruikt ook een Raspberry, toch? Als je alles opnieuw installeert, is het dan teveel gevraagd om de stappen en commando's te kopiŰren in een documentje, zodat ik zeker weet dat ik alles op de juiste manier doet??
_/-\o_

Als dit teveel werk is, wat ik me wel kan voorstellen, ga ik gewoon verder met zoeken, proberen, testen etc.
Dat houdt me in ieder geval van de straat..... :+

Have Fun Funske


  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
funske schreef op maandag 25 juni 2018 @ 10:01:
[...]


@meesje Jij gebruikt ook een Raspberry, toch? Als je alles opnieuw installeert, is het dan teveel gevraagd om de stappen en commando's te kopiŰren in een documentje, zodat ik zeker weet dat ik alles op de juiste manier doet??
_/-\o_

Als dit teveel werk is, wat ik me wel kan voorstellen, ga ik gewoon verder met zoeken, proberen, testen etc.
Dat houdt me in ieder geval van de straat..... :+
Sorry dat ik me er even tussen wurm, maar is de begin post niet toereikend? Aan de hand hiervan zou je zelf een commando lijstje kunnen maken. Heb ik ook voor mezelf gemaakt, zo kan ik eenvoudig vanaf m’n iPad (via VLC) commando’s kopiŰren en plakken. :)

Voordeel van zelf zo’n lijstje maken is dat ook leert wat je precies doet, i.p.v. doen wat een ander doet, als je begrijpt wat ik bedoel. :)

Rgerr wijzigde deze reactie 25-06-2018 10:11 (8%)


  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
Rgerr schreef op maandag 25 juni 2018 @ 10:09:
[...]


Sorry dat ik me er even tussen wurm, maar is de begin post niet toereikend? Aan de hand hiervan zou je zelf een commando lijstje kunnen maken. Heb ik ook voor mezelf gemaakt, zo kan ik eenvoudig vanaf m’n iPad (via VLC) commando’s kopiŰren en plakken. :)

Voordeel van zelf zo’n lijstje maken is dat ook leert wat je precies doet, i.p.v. doen wat een ander doet, als je begrijpt wat ik bedoel. :)
Is geen tussen wurmen hoor @Rgerr, zo'n lijst gebruik ik zelf ook, maar het gaat mij meer om de laatste versies van alles, bijv:
quote:
Volgens mij is er ook al een versie 10, toch?
Juist omdat ik zelf ervaren heb dat als je iets update het de ene keer wel werkt en een andere keer niet.
Vandaar mijn vraag.....

Have Fun Funske


Acties:
  • +1Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
funske schreef op maandag 25 juni 2018 @ 10:19:
[...]


Is geen tussen wurmen hoor @Rgerr, zo'n lijst gebruik ik zelf ook, maar het gaat mij meer om de laatste versies van alles, bijv:

[...]

Volgens mij is er ook al een versie 10, toch?
Juist omdat ik zelf ervaren heb dat als je iets update het de ene keer wel werkt en een andere keer niet.
Vandaar mijn vraag.....
Ik weet alleen niet of node v10.x al als 'stable' is gereleased, ik zit zelf op node v9.x. Voor zo ver ik je kan adviseren, zou ik (indien je je node wil gaan upgraden) beginnen met een frisse installatie van Raspian. Dan weet je zeker dat je niet achter de feiten aan gaat lopen.

Overigens stelt het dan niet zo veel voor:
code:
1
curl -sL https://deb.nodesource.com/setup_10.x | sudo -E bash -


code:
1
sudo apt install nodejs -y

Dat is het enige om node te installeren.

Rgerr wijzigde deze reactie 25-06-2018 10:29 (11%)


Acties:
  • +1Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Je kunt trouwens, indien je graag steeds de laatste updates ge´nstalleerd wil hebben, via crontab instellen dat je bijv. elke zondag om 00.00u de laatste updates krijgt (apt-get update) en om 00.05 de laatste updates installeert (apt-get upgrade -y). Mocht je daar interesse in hebben, tik ik wel een korte tutorial.

Acties:
  • +1Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
@funske Rgerr heeft wel gelijk. Een goede start is om te beginnen met de commando's uit de topic start. Zoals hierboven aangegeven, kun je nu dus wel al voor node 9.x kiezen. Gewoon de 8 vervangen door een 9.

Verder doe ik altijd een headless install (dus geen monitor, toetsenbord en muis nodig). Dat doe je door na het branden van de image een bestand genaamde 'ssh' te slepen naar je sd kaart. Dat zorgt er voor dat de optie ssh gelijk actief is. Normaal gesproken doe je dat in raspi-config. Daarin is het trouwens ook wel handig om gelijk VNC (of is het nu VLC @Rgerr ? ;)) te activeren.

Om homebridge niet elke keer handmatig te hoeven opstarten, volg ik de 10 stappen zoals beschreven op de volgende website: https://timleland.com/setup-homebridge-to-start-on-bootup/

Via VNC maak ik verbinding met de RPI en stel dan een vast ip adres in. Voorheen deed ik dat door een bestandje aan te passen, maar via VNC vind ik het wel makkelijker.

Als je dit draaiend hebt, lijkt het me handig om een backup te maken.

Daarna aan de slag om BLE te installeren:
Stappen 1 t/m 5 + 1 van deze site: https://www.npmjs.com/package/homebridge-mi-flower-mate
Of deze zes stappen echt allemaal nodig zijn, durf ik niet te zeggen. Destijds heb ik ze wel uitgevoerd.
Nu kun je de hygrothermometer plugin installeren.

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Haha, scherp @meesje :P

  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
Rgerr schreef op maandag 25 juni 2018 @ 10:32:
Je kunt trouwens, indien je graag steeds de laatste updates ge´nstalleerd wil hebben, via crontab instellen dat je bijv. elke zondag om 00.00u de laatste updates krijgt (apt-get update) en om 00.05 de laatste updates installeert (apt-get upgrade -y). Mocht je daar interesse in hebben, tik ik wel een korte tutorial.
Crontab ken ik wel, vroeger af en toe mee gewerkt. Maar zo'n korte tutorial komt altijd wel van pas.

Overigens hebben jullie @meesje en @Rgerr wel gelijk.

Al jullie suggesties, te volgen stappen etc. heb ik allemaal al opgevolgd en deze staan zelfs in volgorde in mijn Paste-app (Mac).
Ik gebruik deze al een paar weken, om elke keer alles opnieuw te installeren.
Maar ik werd gewoon een beetje moedeloos omdat ik elke keer fouten kreeg en dan ook nog elke keer andere fouten, dus vandaar mijn vraag.

Maar ik ga het gewoon nog eens proberen.......

Have Fun Funske


Acties:
  • +1Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
@funske Bij mijn eerst volgende verse installatie, zal ik al mijn acties noteren. Op dit moment is het meer een volgorde van websites (incl. deze topic start) waar ik mijn info vandaan haal. Ik kan me eerlijk gezegd niet voorstellen dat wanneer je de stappen uit deze topic start, de eerder genoemde stappen 1 t/m 5 + 1, en de hygrothermo plugin installeert, dat je dan nog fouten krijgt. Dit zou echt wel goed moeten gaan. De stappen 1 t/m 10 voor homebridge als service (wel erg handig trouwens, start homebridge gewoon op na elke boot/reboot) hebben volgens mij geen impact op jouw foutmelding.

O ja, het commando uit stap 3 van de 1t/m5+1 stappen moet gewijzigd worden, maar daarover hebben we het al gehad in dit topic.

meesje wijzigde deze reactie 25-06-2018 11:50 (9%)


  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
meesje schreef op maandag 25 juni 2018 @ 11:49:
@funske Bij mijn eerst volgende verse installatie, zal ik al mijn acties noteren. Op dit moment is het meer een volgorde van websites (incl. deze topic start) waar ik mijn info vandaan haal.
Dat is het dus bij mij ook en op een gegeven moment weet ik het niet meer als ik zo'n foutmelding krijg.

Have Fun Funske


Acties:
  • +2Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Gebruik crontab voor bijv. automatische updates en reboots:
code:
1
sudo nano /etc/crontab

Vervolgens zie je het onderstaande (met uitzondering van de onderste drie regels:
code:
1
2
3
4
5
6
7
8
9
# m h dom mon dow user  command
17 *    * * *   root    cd / && run-parts --report /etc/cron.hourly
25 6    * * *   root    test -x /usr/sbin/anacron || ( cd / && run-parts --repo$
47 6    * * 7   root    test -x /usr/sbin/anacron || ( cd / && run-parts --repo$
52 6    1 * *   root    test -x /usr/sbin/anacron || ( cd / && run-parts --repo$
0  0    * * 0   root    apt-get update
15 0    * * 0   root    apt-get upgrade -y
0  5    * * *   root    reboot
#

Aan de hand van dit voorbeeld zou je zelf commando's kunnen inplannen, let wel dat je raspberry pi moet draaien om commando's te kunnen uitvoeren. Opstarten op gezette tijden gaat dus niet lukken via crontab.

Van de onderste drie regels, zie je dat ik bij regel ÚÚn heb ingesteld dat er om 00.00 uur (in crontab is de eerste kolom de minuten, en de tweede kolom de uren) op zondag (dagen zijn 0 t/m 7, waarbij 0 en 7 zondag is) het commando apt-get upgrade wordt uitgevoerd als root (sudo dus).

Vervolgens een kwartier later om 00.15 uur wordt apt-get upgrade -y gedaan (-y is essentieel, omdat je niet tijdens het uitvoeren van het commando toestemming kunt geven om de updates te installeren. Dat regel je dus op voorhand met -y)

Daarnaast geeft de onderste regel aan dat de raspberry elke dag om 05.00 uur opnieuw opstart. Dit heb ik zo gedaan om de raspberry na verloop van tijd trager werd en op deze manier elke dag optimaal functioneert.

Voor het totaal plaatje, hoe werken de kolommen:
code:
1
2
3
4
5
m - minuut - 0 tot 59
h - uur - 0 tot 23
dom - dag van de maand - 0 tot 31
mon - maand - 0 tot 12
dow - dag van de week - 0 tot 7 (0 en 7 zijn dus beide zondag)

Je kunt dus ook instellen om eens per week/maand of zelfs jaar uit te voeren.

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
@Rgerr Bedankt voor de crontab info!
Waarom doe je eigenlijk elke dag een apt-get update en apt-get upgrade? Ik kan me niet herinneren dat ik die commando's tussentijds uitvoeren, alleen bij de initiŰle installatie.

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op maandag 25 juni 2018 @ 12:14:
@Rgerr Bedankt voor de crontab info!
Waarom doe je eigenlijk elke dag een apt-get update en apt-get upgrade? Ik kan me niet herinneren dat ik die commando's tussentijds uitvoeren, alleen bij de initiŰle installatie.
Daarmee update je je systeem, net als Windows updates. En doe het 1 keer per week. :)

Rgerr wijzigde deze reactie 25-06-2018 12:18 (3%)


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op maandag 25 juni 2018 @ 12:17:
[...]


Daarmee update je je systeem, net als Windows updates.
Je loopt dan niet opeens tegen andere zaken aan die dan ook geŘpdatet moeten worden? Dat b.v. homebridge niet meer draait of plugins niet meer werken?
En het kan gewoon on the fly? Of wordt het pas actief als je een reboot doet?

meesje wijzigde deze reactie 25-06-2018 12:21 (10%)


Acties:
  • +1Henk 'm!

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op maandag 25 juni 2018 @ 12:20:
[...]

Je loopt dan niet opeens tegen andere zaken aan die dan ook geŘpdatet moeten worden? Dat b.v. homebridge niet meer draait of plugins niet meer werken?
En het kan gewoon on the fly? Of wordt het pas actief als je een reboot doet?
Alle systeem zaken worden ge-update, ook node (binnen je node versie 8/9/10). Ik heb geen problemen ondervonden met dat ineens iets niet meer werkte, het garandeert mij juist dat ik steeds een ge-update systeem heb met bijbehorende veiligheids fixes. Het is niet een essentieel iets, je kunt het uiteraard ook eens in de zoveel tijd uitvoeren.

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Tijdens upgrade kreeg ik o.a. de volgende melding:
The following packages were automatically installed and are no longer required:
libuv1 lxkeymap python-cairo python-gobject python-gobject-2 python-gtk2
python-xklavier
Use 'sudo apt autoremove' to remove them.

Is het niet handiger om dan ook 'apt autoremove' op te nemen in de crontab?

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op maandag 25 juni 2018 @ 13:00:
Tijdens upgrade kreeg ik o.a. de volgende melding:
The following packages were automatically installed and are no longer required:
libuv1 lxkeymap python-cairo python-gobject python-gobject-2 python-gtk2
python-xklavier
Use 'sudo apt autoremove' to remove them.

Is het niet handiger om dan ook 'apt autoremove' op te nemen in de crontab?
Ongetwijfeld, baat het niet schaad het niet. :)

Acties:
  • +1Henk 'm!

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Zojuist de crontab uitgebreid met:
code:
1
2
3
0  0    * * 0   root    apt-get update
15 0    * * 0   root    apt-get upgrade -y
0  1    * * 0   root    apt autoremove -y

Het is puur het gevoel (net als dat ik vroeger perse de nieuwste windows drivers wilde installeren), maar nu blijft alles wel up-to-date.

  • Wormaap
  • Registratie: oktober 2003
  • Laatst online: 23:29
Sinds vandaag staat mijn Magic Cube ineens wÚl in Home 8)7 5 + 6 switches doken ineens op, maar ze reageren dan weer niet op bewegingen met de Cube...

Ticking away, the moments that make up a dull day.


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Wormaap schreef op maandag 25 juni 2018 @ 18:31:
Sinds vandaag staat mijn Magic Cube ineens wÚl in Home 8)7 5 + 6 switches doken ineens op, maar ze reageren dan weer niet op bewegingen met de Cube...
Je hebt niet toevallig de plugin geŘpdatet? Vandaag heb ik wel een nieuwe versie van homebridge geinstalleerd.

  • Wormaap
  • Registratie: oktober 2003
  • Laatst online: 23:29
quote:
meesje schreef op maandag 25 juni 2018 @ 19:01:
[...]

Je hebt niet toevallig de plugin geŘpdatet? Vandaag heb ik wel een nieuwe versie van homebridge geinstalleerd.
Gisteren heb ik Homebridge-mi-aqara geŘpdatet naar 0.6.9, maar daarna verscheen'ie nog niet. Vandaag ineens wel. Volgens Yin komt dat doordat ik gisteren te ongeduldig was, gezien nieuwe devices pas na een half uur beschikbaar komen, maar ik zou zweren dat'ie er gisteren de hele dag niet heeft gestaan.

Ah well... Nu nog ontdekken hoe ik het ding gebruik, want geen van de acties triggert de bijbehorende knop in Home :+

Ticking away, the moments that make up a dull day.


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Wormaap schreef op maandag 25 juni 2018 @ 19:04:
[...]

Gisteren heb ik Homebridge-mi-aqara geŘpdatet naar 0.6.9, maar daarna verscheen'ie nog niet. Vandaag ineens wel. Volgens Yin komt dat doordat ik gisteren te ongeduldig was, gezien nieuwe devices pas na een half uur beschikbaar komen, maar ik zou zweren dat'ie er gisteren de hele dag niet heeft gestaan.

Ah well... Nu nog ontdekken hoe ik het ding gebruik, want geen van de acties triggert de bijbehorende knop in Home :+
Heb je een link naar npmjs van welke aqara plugin je gebruikt? Ik dacht de aqara-2 plugin, maar kennelijk niet, die is namelijk niet recentelijk geŘpdatet. Of kijk ik niet goed?
Ik wacht nog op een verloopstekkertje voor de gateway, dan kan ik ook eindelijk aan de slag met het aqara spul.

meesje wijzigde deze reactie 25-06-2018 19:12 (8%)


  • Wormaap
  • Registratie: oktober 2003
  • Laatst online: 23:29
quote:
meesje schreef op maandag 25 juni 2018 @ 19:11:
[...]

Heb je een link naar npmjs van welke aqara plugin je gebruikt? Ik dacht de aqara-2 plugin, maar kennelijk niet, die is namelijk niet recentelijk geŘpdatet. Of kijk ik niet goed?
Ik wacht nog op een verloopstekkertje voor de gateway, dan kan ik ook eindelijk aan de slag met het aqara spul.
Sinds mijn eerste poging de Cube aan het werken te krijgen ben ik over naar de 'oude' Homebridge-mi-aqara. Die lijkt wat regelmatiger onderhouden te worden.

Ticking away, the moments that make up a dull day.


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Wormaap schreef op maandag 25 juni 2018 @ 19:23:
[...]

Sinds mijn eerste poging de Cube aan het werken te krijgen ben ik over naar de 'oude' Homebridge-mi-aqara. Die lijkt wat regelmatiger onderhouden te worden.
Thanks! Bijzonder hoor. In zoekresultaten wordt de plugin met versie 0.6.8 weergegeven.
https://www.npmjs.com/search?q=homebridge%20mi%20aqara
Wanneer je verder navigeert naar de plugin zie ik 0.6.9 staan. Deze is drie dagen geleden bijgewerkt.
Ik vind het trouwens wel een wildgroei aan aqara plugins.
De 'oude' plugin noemt wel specifiek sensor_cube.aqgl01 in de beschrijving. Dus dat biedt wel hoop.

Ik ben benieuwd of het je lukt om de magic cube werkend te krijgen. Ook een stukje eigen belang natuurlijk. ;)

meesje wijzigde deze reactie 25-06-2018 20:52 (14%)


  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
@meesje @DePaul @Rgerr
https://github.com/nfarina/homebridge/issues/1869
Anyone care to try? :P

ergo: node update, HB de-installeren, HB installeren zou moeten werken blijkt uit dat issue

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Klopt, dat heb ik ook gedaan. Echter bij mij gingen sommige plugins piepen met een zelfde melding. Waarschijnlijk deze plugins uninstall en install. Dat heb ik niet gedaan. Toen maar backup terug gezet.

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
hmmm vreemd dat het dan bij jou niet functioneert...

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Niet alle plugins gaven een melding. 2 of 3 van de 7. Daardoor startte homebridge niet. Ik heb me er verder niet in verdiept. Vanavond zal ik wel even wat testen.

  • DePaul
  • Registratie: december 2009
  • Laatst online: 21:51
@paQ

Hmm, heb hem net van 't weekend weer helemaal opnieuw opgebouwd, ik blijf niet bezig :P

Moet toch nog een backup maken, kan ik gelijk daarna weer kijken of dat goed gegaan is :+

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Ik heb zojuist de volgende commando's uitgevoerd en daarbij geen foutmeldingen voorbij zien komen.
code:
1
2
3
4
5
6
7
8
sudo npm uninstall -g homebridge
sudo npm i -g npm
sudo apt-get update
sudo apt-get upgrade -y
sudo apt autoremove -y
curl -sL https://deb.nodesource.com/setup_10.x | sudo -E bash -
sudo apt install nodejs
sudo npm install -g --unsafe-perm homebridge

Bij het opstarten van homebridge krijg ik de volgende foutmeldingen:
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
pi@raspberrypi:~ $ homebridge
[6/26/2018, 9:45:46 PM] Loaded config.json with 5 accessories and 1 platforms.
[6/26/2018, 9:45:46 PM] ---
[6/26/2018, 9:45:46 PM] Loaded plugin: homebridge-automation-switches
[6/26/2018, 9:45:46 PM] Registering platform 'homebridge-switches.AutomationSwitches'
[6/26/2018, 9:45:46 PM] ---
[6/26/2018, 9:45:46 PM] Loaded plugin: homebridge-camera-ffmpeg-omx
[6/26/2018, 9:45:46 PM] Registering platform 'homebridge-camera-ffmpeg-omx.Camera-ffmpeg-omx'
[6/26/2018, 9:45:46 PM] ---
[6/26/2018, 9:45:46 PM] Loaded plugin: homebridge-config-ui-x
[6/26/2018, 9:45:46 PM] Registering platform 'homebridge-config-ui-x.config'
[6/26/2018, 9:45:46 PM] ---
[6/26/2018, 9:45:46 PM] Loaded plugin: homebridge-delayed-switches
[6/26/2018, 9:45:46 PM] Registering platform 'homebridge-delayed-switches.DelayedSwitches'
[6/26/2018, 9:45:46 PM] ---
[6/26/2018, 9:45:46 PM] ====================
[6/26/2018, 9:45:46 PM] ERROR LOADING PLUGIN homebridge-mi-flower-care:
[6/26/2018, 9:45:46 PM] Error: The module '/usr/lib/node_modules/homebridge-mi-flower-care/node_modules/bluetooth-hci-socket/build/Release/binding.node'
was compiled against a different Node.js version using
NODE_MODULE_VERSION 57. This version of Node.js requires
NODE_MODULE_VERSION 64. Please try re-compiling or re-installing
the module (for instance, using `npm rebuild` or `npm install`).
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:731:18)
    at Module.load (internal/modules/cjs/loader.js:612:32)
    at tryModuleLoad (internal/modules/cjs/loader.js:551:12)
    at Function.Module._load (internal/modules/cjs/loader.js:543:3)
    at Module.require (internal/modules/cjs/loader.js:650:17)
    at require (internal/modules/cjs/helpers.js:20:18)
    at Object.<anonymous> (/usr/lib/node_modules/homebridge-mi-flower-care/node_modules/bluetooth-hci-socket/lib/native.js:3:15)
    at Module._compile (internal/modules/cjs/loader.js:702:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:713:10)
    at Module.load (internal/modules/cjs/loader.js:612:32)
[6/26/2018, 9:45:46 PM] ====================
[6/26/2018, 9:45:46 PM] Loaded plugin: homebridge-mi-hygrothermograph
Error: The module '/usr/lib/node_modules/homebridge-mi-hygrothermograph/node_modules/bluetooth-hci-socket/build/Release/binding.node'
was compiled against a different Node.js version using
NODE_MODULE_VERSION 57. This version of Node.js requires
NODE_MODULE_VERSION 64. Please try re-compiling or re-installing
the module (for instance, using `npm rebuild` or `npm install`).
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:731:18)
    at Module.load (internal/modules/cjs/loader.js:612:32)
    at tryModuleLoad (internal/modules/cjs/loader.js:551:12)
    at Function.Module._load (internal/modules/cjs/loader.js:543:3)
    at Module.require (internal/modules/cjs/loader.js:650:17)
    at require (internal/modules/cjs/helpers.js:20:18)
    at Object.<anonymous> (/usr/lib/node_modules/homebridge-mi-hygrothermograph/node_modules/bluetooth-hci-socket/lib/native.js:3:15)
    at Module._compile (internal/modules/cjs/loader.js:702:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:713:10)
    at Module.load (internal/modules/cjs/loader.js:612:32)

De homebridge-mi-hygrothermograph en homebridge-mi-flower-care leveren dus problemen op. Nu ga ik deze de´nstalleren en weer installeren.

@Rgerr In ieder geval geen foutmelding meer bij homebridge-automation-switches ;)

Succesvol de uninstall gedaan.
code:
1
2
sudo npm uninstall -g homebridge-mi-hygrothermograph
sudo npm uninstall -g homebridge-mi-flower-care

Echter bij de install van de hygrothermograph levert de volgende meldingen op:
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
make: Leaving directory '/usr/lib/node_modules/homebridge-mi-hygrothermograph/node_modules/bluetooth-hci-socket/build'
gyp ERR! build error 
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:258:23)
gyp ERR! stack     at ChildProcess.emit (events.js:182:13)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:237:12)
gyp ERR! System Linux 4.14.34-v7+
gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /usr/lib/node_modules/homebridge-mi-hygrothermograph/node_modules/bluetooth-hci-socket
gyp ERR! node -v v10.5.0
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok 
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: xpc-connection@0.1.4 (node_modules/homebridge-mi-hygrothermograph/node_modules/xpc-connection):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for xpc-connection@0.1.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"arm"})
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: bluetooth-hci-socket@0.5.1 (node_modules/homebridge-mi-hygrothermograph/node_modules/bluetooth-hci-socket):
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: bluetooth-hci-socket@0.5.1 install: `node-gyp rebuild`
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1

De homebridge-mi-flower-care wordt wel succesvol ge´nstalleerd.

meesje wijzigde deze reactie 26-06-2018 22:03 (18%)


  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
Als je homebridge de-installeert en dan npm opnieuw compiled?

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Als ik homebridge opstart zijn de foutmeldingen iets gewijzigd.
code:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
pi@raspberrypi:~ $ homebridge
[6/26/2018, 10:04:10 PM] Loaded config.json with 5 accessories and 1 platforms.
[6/26/2018, 10:04:10 PM] ---
[6/26/2018, 10:04:10 PM] Loaded plugin: homebridge-automation-switches
[6/26/2018, 10:04:10 PM] Registering platform 'homebridge-switches.AutomationSwitches'
[6/26/2018, 10:04:10 PM] ---
[6/26/2018, 10:04:10 PM] Loaded plugin: homebridge-camera-ffmpeg-omx
[6/26/2018, 10:04:10 PM] Registering platform 'homebridge-camera-ffmpeg-omx.Camera-ffmpeg-omx'
[6/26/2018, 10:04:10 PM] ---
[6/26/2018, 10:04:10 PM] Loaded plugin: homebridge-config-ui-x
[6/26/2018, 10:04:10 PM] Registering platform 'homebridge-config-ui-x.config'
[6/26/2018, 10:04:10 PM] ---
[6/26/2018, 10:04:10 PM] Loaded plugin: homebridge-delayed-switches
[6/26/2018, 10:04:10 PM] Registering platform 'homebridge-delayed-switches.DelayedSwitches'
[6/26/2018, 10:04:10 PM] ---
[6/26/2018, 10:04:10 PM] ====================
[6/26/2018, 10:04:10 PM] ERROR LOADING PLUGIN homebridge-mi-flower-care:
[6/26/2018, 10:04:10 PM] Error: Cannot find module '../build/Release/binding.node'
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:594:15)
    at Function.Module._load (internal/modules/cjs/loader.js:520:25)
    at Module.require (internal/modules/cjs/loader.js:650:17)
    at require (internal/modules/cjs/helpers.js:20:18)
    at Object.<anonymous> (/usr/lib/node_modules/homebridge-mi-flower-care/node_modules/bluetooth-hci-socket/lib/native.js:3:15)
    at Module._compile (internal/modules/cjs/loader.js:702:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:713:10)
    at Module.load (internal/modules/cjs/loader.js:612:32)
    at tryModuleLoad (internal/modules/cjs/loader.js:551:12)
    at Function.Module._load (internal/modules/cjs/loader.js:543:3)
[6/26/2018, 10:04:10 PM] ====================
[6/26/2018, 10:04:10 PM] Loaded plugin: homebridge-mi-hygrothermograph
Error: Cannot find module 'bluetooth-hci-socket'
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:594:15)
    at Function.Module._load (internal/modules/cjs/loader.js:520:25)
    at Module.require (internal/modules/cjs/loader.js:650:17)
    at require (internal/modules/cjs/helpers.js:20:18)
    at Object.<anonymous> (/usr/lib/node_modules/homebridge-mi-hygrothermograph/node_modules/noble/lib/hci-socket/hci.js:6:26)
    at Module._compile (internal/modules/cjs/loader.js:702:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:713:10)
    at Module.load (internal/modules/cjs/loader.js:612:32)
    at tryModuleLoad (internal/modules/cjs/loader.js:551:12)
    at Function.Module._load (internal/modules/cjs/loader.js:543:3)

Waarschijnlijk ook nog bluetooth uninstall/install. Maar de foutmelding voor de flower care?

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
Nu dacht ik dan ga ik stap 1t/m5+1 van de oude mi flower care plugin doorlopen. Echter dan krijg ik deze melding:
code:
1
2
3
4
5
6
7
8
9
10
11
pi@raspberrypi:/usr/lib/node_modules $ sudo npm install -g noble --unsafe-perm
npm ERR! path /usr/lib/node_modules/.staging/noble-4230df0a/node_modules/abbrev
npm ERR! code ENOENT
npm ERR! errno -2
npm ERR! syscall rename
npm ERR! enoent ENOENT: no such file or directory, rename '/usr/lib/node_modules/.staging/noble-4230df0a/node_modules/abbrev' -> '/usr/lib/node_modules/.staging/abbrev-2971f91d'
npm ERR! enoent This is related to npm not being able to find a file.
npm ERR! enoent 

npm ERR! A complete log of this run can be found in:
npm ERR!     /root/.npm/_logs/2018-06-26T20_12_01_046Z-debug.log

Het houdt voor mij even op. Ik denk een verse installatie voor mij het handigst is.
Ik geef het stokje nu graag door. :)

Mijn backup gaat nu terug. Weer op node 8.x.
quote:
paQ schreef op dinsdag 26 juni 2018 @ 21:59:
Als je homebridge de-installeert en dan npm opnieuw compiled?
Met die stappen ben ik begonnen. Toch?

meesje wijzigde deze reactie 26-06-2018 22:22 (11%)


  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
Sudo npm rebuild

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Denk dar we rustig kunnen concluderen dat wanneer je je node versie wil upgraden, je het beste met een verse pi installatie kunt beginnen. ;) En om eerlijk te zijn, zo idioot veel werk is dat niet... Zeker niet wanneer je voor jezelf een commando lijstje hebt gemaakt in de loop der tijd. Vervelende is alleen dat je dan opnieuw je accessoires moet toewijzen aan kamers, benamingen gaat wijzigen en automatiseringen moet instellen.

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
quote:
Rgerr schreef op woensdag 27 juni 2018 @ 06:08:
Vervelende is alleen dat je dan opnieuw je accessoires moet toewijzen aan kamers, benamingen gaat wijzigen en automatiseringen moet instellen.
Maar daar zit natuurlijk al het echte werk in. En dan nog maar zien of alles weer werkt zoals je ooit bedacht had.
Ik heb nogal wat complexe automatiseringen draaien die het allemaal lekker doen nu. Alleen voor een node versie een hele middag eraan spenderen is wat te gek.

Raar dat het bij het github topic wel gewoon functioneert overigens

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
paQ schreef op woensdag 27 juni 2018 @ 08:19:
[...]

Maar daar zit natuurlijk al het echte werk in. En dan nog maar zien of alles weer werkt zoals je ooit bedacht had.
Ik heb nogal wat complexe automatiseringen draaien die het allemaal lekker doen nu. Alleen voor een node versie een hele middag eraan spenderen is wat te gek.

Raar dat het bij het github topic wel gewoon functioneert overigens
Screenshots maken uit de smart home app? Dan gewoon dupliceren wat er op je screenshot staat. Heeft blijkbaar ook te maken met welke plug-in, en welke er ‘last’ van heeft, valt geen peil op te trekken. Zoals @meesje liet zien, deed de een wel gelijk na node upgrade en de ander niet. Ik zit momenteel veilig op node 9.x en zie ook geen nood (;)) om te gaan upgraden. Pas als ik waarschuwingen krijg dat node 9.x deprecated is, ga ik er eens naar kijken. :)

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
Kwam net dit tegen, vond het wel interessant om te delen:

http://s.aliexpress.com/qmyYBju2

Nog geen recensies of groot aantal bestellingen, maar schijnbaar is er dus ook Sonoff te koop die reeds geflashed is met HomeKit firmware. En nog andere producten, gezien de foto’s. Mocht iemand dit willen gaan proberen, ben ik benieuwd of het wat is. :)

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
paQ schreef op woensdag 27 juni 2018 @ 08:19:
[...]
Raar dat het bij het github topic wel gewoon functioneert overigens
Ik heb het vermoeden dat diegene geen BLE plugins als de hypgrothermometer en flora mate in gebruik heeft. Dat zijn bij mij de twee probleem gevallen. Misschien zit het hem wel in de prereq’s?

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
Rgerr schreef op woensdag 27 juni 2018 @ 08:53:
Kwam net dit tegen, vond het wel interessant om te delen:

http://s.aliexpress.com/qmyYBju2

Nog geen recensies of groot aantal bestellingen, maar schijnbaar is er dus ook Sonoff te koop die reeds geflashed is met HomeKit firmware. En nog andere producten, gezien de foto’s. Mocht iemand dit willen gaan proberen, ben ik benieuwd of het wat is. :)
Ik heb zo’n vermoeden dat de verkoper ze zelf flasht. Je betaalt dus ongeveer 14-15 euro voor het flashen. Voor dat bedrag wil ik de sonoff die ik nu in huis heb, wel eerst zelf proberen te flashen.

Welke moet je trouwens bestellen, de ‘Power on’ of de ‘Power off’? Lekker duidelijk. :)

  • Rgerr
  • Registratie: juni 2017
  • Laatst online: 21:13
quote:
meesje schreef op woensdag 27 juni 2018 @ 09:17:
[...]

Ik heb zo’n vermoeden dat de verkoper ze zelf flasht. Je betaalt dus ongeveer 14-15 euro voor het flashen. Voor dat bedrag wil ik de sonoff die ik nu in huis heb, wel eerst zelf proberen te flashen.

Welke moet je trouwens bestellen, de ‘Power on’ of de ‘Power off’? Lekker duidelijk. :)
Dat lijkt mij ook. ;) Maar kan interessant zijn, mocht het je zelf niet lukken of geen zin in hebben. Ja, (relatief) duur, maar geen geneuzel. Althans, zo lijkt het vooralsnog. ;)

  • werchter
  • Registratie: november 2009
  • Laatst online: 21:07
Je treft pre-flashed Sonoffs ook op e-bay aan. Ik heb er wel oren naar, ware het niet dat ik tot nu toe alleen de Wifi variant gevonden heb, en niet Wifi + RF, welke ik zou willen.

  • paQ
  • Registratie: augustus 2001
  • Laatst online: 00:24
Ding is hoe dan ook wat te groot om in te bouwen... Wat kun je er nou mee aansturen behalve een lamp?

op maat gehoorbescherming en In Ear Monitors. www.cinepaq.nl


  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
Ben ik dus helemaal van voren begonnen en ben ik de stappen van op de eerste pagina aan het uitvoeren. Weliswaar met versie 10 i.p.v. 8, maar dat leverde geen problemen op.
Maar als ik dan de stap
quote:
sudo cp -R * /usr/local/
wil uitvoeren, krijg ik de volgende fout:
quote:
pi@raspberrypi:~ $ sudo cp -R * /usr/local/
cp: cannot stat '*': No such file or directory
Dus dit werkt ook niet echt goed.......

Have Fun Funske


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
paQ schreef op woensdag 27 juni 2018 @ 12:02:
Ding is hoe dan ook wat te groot om in te bouwen... Wat kun je er nou mee aansturen behalve een lamp?
Ze zijn inderdaad vrij groot. Mijn gedachte was (inderdaad een lamp) om de tl verlichting in de garage er mee aan te sturen. Daar kan ik vrij makkelijk bij de bedrading. Indien dit lukt wellicht ook de tuinverlichting. Nu heb ik een Eve Energy in een buiten stopcontact. Dat werkt na twee winters nog steeds, maar mijn voorkeur gaat naar sonoff, je hebt daarvoor ook een waterdichte behuizing welke makkelijk de grond in kan.

  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
funske schreef op woensdag 27 juni 2018 @ 12:03:
Ben ik dus helemaal van voren begonnen en ben ik de stappen van op de eerste pagina aan het uitvoeren. Weliswaar met versie 10 i.p.v. 8, maar dat leverde geen problemen op.
Maar als ik dan de stap

[...]
wil uitvoeren, krijg ik de volgende fout:

[...]


Dus dit werkt ook niet echt goed.......
Hmmmmm....., vreemd. Ik heb deze stap al een paar keer succesvol uitgevoerd (wel met node 8.x). Zou daar het verschil in zitten? Ben je tijdens de installatie wellicht van directory (cd commando) gewisseld? Deze melding zou kunnen duiden op dat de betreffende directory leeg is.

  • funske
  • Registratie: mei 2005
  • Laatst online: 15:24
quote:
meesje schreef op woensdag 27 juni 2018 @ 12:16:
[...]

Hmmmmm....., vreemd. Ik heb deze stap al een paar keer succesvol uitgevoerd (wel met node 8.x). Zou daar het verschil in zitten? Ben je tijdens de installatie wellicht van directory (cd commando) gewisseld? Deze melding zou kunnen duiden op dat de betreffende directory leeg is.
Nee, niet gewisseld van directory.....

Have Fun Funske


  • meesje
  • Registratie: mei 2005
  • Laatst online: 21:55
quote:
funske schreef op woensdag 27 juni 2018 @ 12:26:
[...]


Nee, niet gewisseld van directory.....
De melding kon me niet los lagen, vaag kwam ie me nog bekend voor. Nu weet ik het!
Volgens mij heb je Raspbian Stretch Lite gebruikt ipv Raspbian Stretch with desktop. Deze laatste moet je hebben.
Af en toe geef ik aan de topic auteurs aan of er wellicht wat zaken toegevoegd kunnen worden aan de topic start, maar dat is (nog) niet opgepakt. O.a. hoe homebridge als service in te regelen, maar ook de keuze van de Raspbian versie.
Het lijkt mij wel mooi om allerlei zaken ook in de topic start onder te brengen. B.v. de stappen hoe pushed.co in te richten (een link naar het bericht in dit topic lijkt me al genoeg, de stappen zijn al beschreven).
Pagina: 1 ... 14 ... 24 Laatste


Apple iPhone XS HTC U12+ dual sim LG W7 Google Pixel 3 XL OnePlus 6 Battlefield V Samsung Galaxy S10 Google Pixel 3

Tweakers vormt samen met Tweakers Elect, Hardware.Info, Autotrack, Nationale Vacaturebank en Intermediair de Persgroep Online Services B.V.
Alle rechten voorbehouden © 1998 - 2018 Hosting door True